Bug 525594 - Epiphany "Download" Indicator Pushes Other Applets Off the GNOME Panel Eventually
Summary: Epiphany "Download" Indicator Pushes Other Applets Off the GNOME Panel Eventu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 00:48 UTC by David Le Sage
Modified: 2010-06-28 14:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:48:33 UTC


Attachments (Terms of Use)
Taskbar as it appears normally - not particularly cluttered. (26.47 KB, image/png)
2009-09-25 00:53 UTC, David Le Sage
no flags Details

Description David Le Sage 2009-09-25 00:48:46 UTC
Description of problem:
When downloading a large number of items in Epiphany (such as a few hundred images) the download indicator that appears as a notification icon in the GNOME panel eventually "pushes" any other applets to the left and off the GNOME panel.  They remain inaccessible until one exits Epiphay, at which time they reappear.



Version-Release number of selected component (if applicable):
2.26.3

How reproducible:
Every time.

Steps to Reproduce:
1. Set up the GNOME Panel so that it contains a number of applets, including program launchers.  However, ensure that it is by no means totally full.  "Lock" some of the applets by right-clicking if you wish, so that they cannot be moved.
2. Launch Epiphany.  Go to a site containing many, many images and open these in separate tabs.  Here is a potential site with lots of paintings:  

http://www.ibiblio.org/wm/paint/auth/

(Yes, I know using wget would be a more efficient way of downloading then ;-) ).

3.  Go to each tab and right click to save each painting *.jpeg file.
4.  You will notice the Epiphany "download" status indicator appears in the panel momentarily, than disappears as the download is completed.  These files are obviously small downloads for anyone with a fast network connection.
5.  Eventually, you will observes that some items are being "pushed off" the GNOME panel by the download indicator constantly appearing and disappearing.  Even the GNOME menu is affected and cannot be accessed.  Even locked items are "pushed off"
6.  After saving a few hundred images, the GNOME panel will appear to be blank as all items have been pushed off by the Download indicator.
7. Exit Epiphany and your GNOME Panel refreshes, all of the icons, application launches and menus suddenly being accessible once more.
  
Actual results:
Epiphany Download Indicator Pushes icons, applets and GNOME menu off GNOME Panel.

Expected results:
Should not do this.  Do we even really need the download indicator to appear in the panel at all?  

Additional info:

Comment 1 David Le Sage 2009-09-25 00:53:30 UTC
Created attachment 362600 [details]
Taskbar as it appears normally - not particularly cluttered.

Taskbar as it appears normally - not particularly cluttered.  All icons were progressively "pushed off" the left of the screen by the Epiphany Download notifier as it constantly appeared and disappeared as I saved each image.

Comment 2 Bug Zapper 2010-04-28 10:34:07 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:48:33 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.